Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.credentials
Class DeployableCredentialMapperImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.credentials.CredentialMapperImpl
                  weblogic.management.security.credentials.DeployableCredentialMapperImpl

public class DeployableCredentialMapperImpl
extends CredentialMapperImpl

DeployableCredentialMapperImpl This class extends the CredentialMapperImpl class. For security provider implementations used to store credential maps created during Resource Adapter deployment extend this class. See additional text in ProviderImpl.java.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `DeployableCredentialMapperImpl(ModelMBean base)` Constructor for the DeployableCredentialMapperImpl object
`protected` | `DeployableCredentialMapperImpl(RequiredModelMBean base)`

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployableCredentialMapperImpl

    public DeployableCredentialMapperImpl(ModelMBean base)
                                   throws MBeanException

  Constructor for the DeployableCredentialMapperImpl object

Throws:
  `MBeanException` - Description of the Exception

### DeployableCredentialMapperImpl

    protected DeployableCredentialMapperImpl(RequiredModelMBean base)
                                      throws MBeanException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD